#include <psemek/wgpu/bind_group.hpp>
#include <psemek/wgpu/detail/string_view.hpp>
#include <psemek/wgpu/external/webgpu.h>

namespace psemek::wgpu
{

	void bind_group::set_label(std::string const & label)
	{
		wgpuBindGroupSetLabel((WGPUBindGroup)get(), detail::to_string_view(label));
	}

	void bind_group::reference(void * ptr)
	{
		wgpuBindGroupAddRef((WGPUBindGroup)ptr);
	}

	void bind_group::release(void * ptr)
	{
		wgpuBindGroupRelease((WGPUBindGroup)ptr);
	}

}
